Bug 1182808 - Update python-msgpack in EPEL 6 and 7
Summary: Update python-msgpack in EPEL 6 and 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-msgpack
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 23:45 UTC by Ken Dreyer
Modified: 2015-02-14 02:43 UTC (History)
7 users (show)

Fixed In Version: python-msgpack-0.4.4-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-14 02:41:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1180507 None None None Never

Internal Links: 1180507

Description Ken Dreyer 2015-01-15 23:45:46 UTC
EPEL has an older version of msgpack, and it would be quite nice to have a newer version. Ceph's web application "calamari", for example, requires a newer version.

Would anyone object if I updated to 0.4.4 in EPEL 6 and 7?

Comment 1 Ken Dreyer 2015-01-15 23:59:46 UTC
(Adding dmick@redhat.com to the CC - Dan's one of the Ceph Calamari developers)

Comment 2 Ken Dreyer 2015-01-16 15:06:09 UTC
It looks like EPEL 7 has 0.4.2, so we'd only be talking about a big jump for EPEL 6 here (EPEL 6 is currently at 0.1.13).

Comment 3 Ken Dreyer 2015-01-23 19:32:02 UTC
I just tried an EPEL 7 build of 0.4.4. The test suite for 0.4.4 fails because of this code in test/test_unpack.py:

@mark.skipif(not hasattr(sys, 'getrefcount'),
             reason='sys.getrefcount() is needed to pass this test')

Apparently this skipif syntax only works with pytest 2.4, and RHEL 7 has pytest 2.3.5.

Here's the patch I'm sending upstream for this: https://github.com/msgpack/msgpack-python/pull/123

Comment 4 Fedora Update System 2015-01-23 21:26:59 UTC
python-msgpack-0.4.4-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-msgpack-0.4.4-2.el7

Comment 5 Fedora Update System 2015-01-23 21:27:33 UTC
python-msgpack-0.4.4-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-msgpack-0.4.4-2.el6

Comment 6 Fedora Update System 2015-01-26 20:11:58 UTC
Package python-msgpack-0.4.4-2.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-msgpack-0.4.4-2.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0439/python-msgpack-0.4.4-2.el7
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-02-14 02:41:26 UTC
python-msgpack-0.4.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-02-14 02:43:38 UTC
python-msgpack-0.4.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.